<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:notifications="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/notifications"
	xmlns:identification="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/identification"
	xmlns:popups="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/popups"
	>
	<h:outputStylesheet library="css" name="extraction/#{css}" />

	<a4j:jsFunction name="selectVariable" execute="@this,parametersRequest" action="#{uiBean.selectVariable}"
		render="listVariables,parametersRequest, prevStepButton, nextStepButton, validImage, messageWarningStep2" limitRender="true">
		<a4j:param name="param1" assignTo="#{uiBean.idVariableSelected}" />
	</a4j:jsFunction>
	
	<a4j:jsFunction name="changeAggregated" execute="@this,parametersRequest" action="#{uiBean.changeAggregated}"
		render="listVariables, parametersRequest, prevStepButton, nextStepButton, validImage, messageWarningStep2" limitRender="true" />
	<f:loadBundle basename="org.inra.ecoinfo.glacpe.extraction.jsf.panels.phytoplancton.variablechoicestep" var="variablechoicestep"/>
	<h:panelGroup id="messageWarningStep2">
		<h:outputText value="#{variablechoicestep.PROPERTY_MSG_CHOOSE_VARIABLE_WARNING}" rendered="#{not uiBean.parametersRequest.variableStepIsValid}"
			styleClass="selectionEmpty" />
	</h:panelGroup>

	<h:panelGroup styleClass="panelControlsWrapper" layout="block">
		<h:panelGroup styleClass="panelControls">
			<h:panelGroup styleClass="control">
				<a4j:commandLink execute="@this,parametersRequest" styleClass="buttonStepNext" limitRender="true"
					action="#{uiBean.addAllVariables}" render="listVariables,parametersRequest, prevStepButton, nextStepButton, validImage, messageWarningStep2">
					<h:graphicImage value="#{resource['images:add.png']}" />
					<h:outputText value="#{variablechoicestep.PROPERTY_MSG_ADD_ALL_VARIABLE}" />
				</a4j:commandLink>
			</h:panelGroup>
			<h:panelGroup styleClass="control">
				<a4j:commandLink execute="@this,parametersRequest" styleClass="buttonStepNext" limitRender="true"
					action="#{uiBean.removeAllVariables}" render="listVariables,parametersRequest, prevStepButton, nextStepButton, validImage, messageWarningStep2">
					<h:graphicImage value="#{resource['images:remove_selection.png']}" />
					<h:outputText value="#{variablechoicestep.PROPERTY_MSG_DELETE_ALL_VARIABLE}" />
				</a4j:commandLink>
			</h:panelGroup>
		</h:panelGroup>
	</h:panelGroup>

	<p class="intro">#{variablechoicestep.PROPERTY_MSG_CHOOSE_VARIABLE}</p>


	<h:panelGroup id="listVariables">
		<rich:list value="#{variablechoicestep.PROPERTY_MSG_ALGAL_TOTAL}" var="aggregatedValue">
			<h:outputLink value="#" onclick="changeAggregated()">
				<h:outputText value="#{variablechoicestep.PROPERTY_MSG_ALGAL_TOTAL}" styleClass="#{uiBean.aggregated ? 'selected':''}" />
				<h:graphicImage name="check.png" library="images" rendered="#{uiBean.aggregated}" />
			</h:outputLink>
		</rich:list>		
		<rich:list value="#{uiBean.variablesAvailables}" var="variable">
			<h:outputLink value="#" onclick="selectVariable(#{variable.variable.id})" rendered="#{variable.variable.isDataAvailable}">
				<h:outputText value="#{variable.localizedVariableName}" styleClass="#{variable.selected ? 'selected':''}" />
				<h:graphicImage name="check.png" library="images" rendered="#{variable.selected}" />
			</h:outputLink>

			<h:outputText value="#{variable.localizedVariableName}" rendered="#{not variable.variable.isDataAvailable}" styleClass="disabled" />
		</rich:list>
	</h:panelGroup>
</html>